var path = require('path');

module.exports = [{
  mode: 'development',
  entry: {
    "contact-main-form": "./src/contact-main-form"
  },
  output: {
    filename: "[name].js"
  },
  module: {
    rules: [{
      test: /.tsx?$/,
      exclude: /node_modules/,
      loader: "babel-loader"
    }]
  },
  resolve: {
    extensions: [".ts", ".js"],
    modules: ["src", "node_modules"]
  },
  devtool: "source-map",
  devServer: {
    contentBase: path.join(__dirname, 'dist'),
    compress: true,
    port: 9000
  }
},
{
  mode: 'production',
  entry: {
    "contact-main-form": "./src/contact-main-form"
  },
  output: {
    filename: "[name].min.js"
  },
  module: {
    rules: [{
      test: /.tsx?$/,
      exclude: /node_modules/,
      loader: "babel-loader"
    }]
  },
  resolve: {
    extensions: [".ts", ".js"],
    modules: ["src", "node_modules"]
  },
  devtool: "source-map"
}];